body.dark-theme {
    background: #17191a;
}
.dark-theme {
    color: #e4e6eb;
}
.dark-theme a {
    color: #e2e8f0;
    text-decoration: none;
}
.dark-theme a:hover, .dark-theme a:visited {
    color: #e2e8f0;
    text-decoration: none;
}
.dark-theme a:hover .card {

}
.dark-theme .border-bottom, .dark-theme .border-top, .dark-theme .border-start, .dark-theme .border-end {
    border-color: #3f3f40 !important;
}
.dark-theme .border-normal {
    border-color: #e4e6eb !important;
}
.dark-theme .bg-contact {
    background-color: #5f4dee !important;
}
.dark-theme  .bg-hero {
    background-color: #252526;
}
.dark-theme .text-normal {
    color: #e2e8f0;
}
.dark-theme .text-purple {
    color: #2d89ff !important;
}
.dark-theme .btn-purple {
    background: #2474e1 !important;
    border-color: #2d89ff;
}
.dark-theme .bg-purple {
    background: #2474e1;
}
.dark-theme .bg-main {
    background-color: #0d172a;
}
.dark-theme .dashboard-main {
    background-color: #17191a;
}
.dark-theme .dashboard-main-workspace {
    background-color: #252526;
}
.dark-theme .docs-companion-app-switcher-container {
    background-color: #252526;
}
.dark-theme .editor-container {
    background-color: #17191a;
}
.dark-theme .editor-header {
    background-color: #252526;
}
.dark-theme .bg-form-control {
    background-color: #3a3b3d;
}
.dark-theme .ck.ck-editor .ck-editor__top .ck-sticky-panel .ck-toolbar {
    background: #17191a !important;
    border-bottom: 1px solid;
    border-color: #3f3f40 !important;
}
.dark-theme .ck.ck-toolbar .ck.ck-toolbar__separator {
    background: #3f3f40 !important;
}
.dark-theme .ck.ck-toolbar.ck-toolbar_grouping>.ck-toolbar__items {
    border-bottom: 1px solid #3f3f40;
}
.dark-theme .ck.ck-dropdown.ck-heading-dropdown .ck-dropdown__button .ck-button__label {
    color: white !important;
}
.dark-theme .ck.ck-icon.ck-icon_inherit-color, .dark-theme .ck.ck-icon.ck-icon_inherit-color * {
    color: white !important;
    fill: white !important;
}
.dark-theme .bg-dark {
    background: #182334 !important;
}
.dark-theme .tools-list {

}
.dark-theme .footer-color, .dark-theme .link-footer {
    color: #9ba7b3 !important;
}
.dark-theme  .ck.ck-editor {
    border-top: 1px solid;
    border-color: #3f3f40 !important;
}
.dark-theme .shape svg {
    fill: #30344e;
}
.dark-theme .ck.ck-content {
    background: #17191a !important;
}
.dark-theme .ck.ck-dropdown__panel, .dark-theme .ck.ck-dropdown__panel .ck.ck-list {
    background: #0d172a !important;
    border: 0;
}
.dark-theme .ck.ck-list__item .ck-button .ck-button__label {
    color: white;
}
.dark-theme .dashboard-main-sidebar {

}
.dark-theme .dashboard-main-sidebar > div {
    background-color: #252526;
}
.dark-theme .page-item .page-link {
    background: #334155;
    border-color: rgba(234, 234, 255, 0.12);
    color: rgba(234, 234, 255, 0.87);
}
.dark-theme .page-item.active .page-link {
    background-color: #3c82f6;
    border-color: #3c82f6;
}
.dark-theme .ck.ck-toolbar .ck-button {
    outline: 0;
    box-shadow: none;
}
.dark-theme .ck.ck-toolbar .ck-button.ck-on, .dark-theme .ck.ck-toolbar .ck-button:hover {
    background: #3c82f6 !important;
}
.dark-theme hr {
    background-color: #3f3f40 !important;
    opacity: 1;
}
.dark-theme .dustbin {
    border-color: #2b3647;
}
.border-primary {
    border: 2px solid #3c82f6;
}
.dark-theme .text-primary {
    color: #2563eb !important;
}
.dark-theme .bg-white {
    background: #252526 !important;
}
.dark-theme .bg-secondary {
    background: #334155 !important;
}
.dark-theme .btn-secondary, .dark-theme .btn-outline-secondary:hover {
    background-color: #475569 !important;
    border-color: #475569 !important;
}
.dark-theme .btn-outline-secondary {
    border-color: #475569 !important;
}
.dark-theme .btn-light {
    background: #404041;
    border-color: #404041;
}
.dark-theme .btn-primary {
    border: 0 !important;
}
.dark-theme .btn-dark {
    background-color: #17191a;
    border-color: #17191a;
}
.dark-theme .auth-image::after {
    background: #30344e !important;
}
.dark-theme .text-dark {
    color: rgba(234, 234, 255, 0.87) !important;
}
.dark-theme .border-transparent {
    border-color: transparent !important;
}
.dark-theme .text-secondary {
    color: #b0b3b8 !important;
}
.dark-theme a:hover .card {
    background-color: #404041;
}
.dark-theme .card {
    border-color: #252526;
    background-color: #252526;
}
.dark-theme .tool-card {
    background-color: #252526;
    cursor: pointer;
    border: 0;
}
.dark-theme .tool-card:hover {
    background-color: #404041;;
}
.dark-theme .landing-card-columns .tool-card:hover svg {
    color: white;
}
.dark-theme .card-header {
}
.dark-theme .card-footer {
    border-color: #3f4042;
}

.dark-theme .card, .dark-theme .card, .dark-theme .solution_cards_box .solution_card {

}
.dark-theme .container a:hover:not(.btn) {
    color: #e2e8f0;
}
.dark-theme .btn-close {
}
.dark-theme .modal-header {
    background: #252526 !important;
    border-color: #3f3f40;
}
.dark-theme .modal-footer {
    border-color: #252526;
}
.dark-theme .modal-content {
    background: #252526;
    box-shadow: inset 0 1px 0 0 hsl(0deg 0% 100% / 5%);
    border: 0;
}
.dark-theme .border {
    border-color: #494e68 !important;
}
.dark-theme .shadow, .dark-theme .dark-theme-shadow {
    box-shadow: inset 0 1px 0 0 hsl(0deg 0% 100% / 5%) !important;
}
.dark-theme .bg-light {
    background: #252526 !important;
}
.dark-theme .link-dark, .dark-theme .nav-item a {
    color: rgba(234, 234, 255, 0.87) !important;
}
.dark-theme button {
    color: rgba(234, 234, 255, 0.87);
}
.dark-theme .form-select, .dark-theme .form-control {
    background-color: #3a3b3d;
    border-color: transparent;
    color: inherit;
}
.dark-theme input::file-selector-button, .dark-theme input::file-selector-button:hover {
    background-color: #334155;
    color: #e2e8f0;
    padding: 0.5em;
    border-right: 1px solid #4a5768;
}

.dark-theme .form-select::placeholder, .dark-theme .form-control::placeholder {

}
.dark-theme .was-validated .form-control:invalid, .dark-theme .form-control.is-invalid {
    border-color: #dc3545 !important;
}
.dark-theme .form-select:focus, .dark-theme .form-control:focus {
    outline: none;
    box-shadow: none;
}
.dark-theme .form-outline input:focus {
    outline: 2px solid #3c82f6;
    outline-offset: 0;
    border-color: transparent;
}
.dark-theme .form-select::placeholder, .dark-theme .form-control:focus::placeholder {
    color: rgba(234, 234, 255, 0.38);
}
.dark-theme .form-label {
    color: rgba(234, 234, 255, 0.87) !important;
}
.dark-theme .nav-tabs-none-bg .nav-item .nav-link.active {
    color: rgba(234, 234, 255, 0.87) !important;
    border-bottom: 2px solid #3c82f6 !important
}
.dark-theme .nav-tabs {
    border-color: #5f6179 !important;
}
.dark-theme .hiw-cards .card .ico-card {
    color: rgba(234, 234, 255, 0.3);
}
.dark-theme .progress {
    background: #334155;
}
.dark-theme .bg-primary {
    background: #2563eb !important;
}
.dark-theme .bg-success {
    background: #16a34a !important;
}
.dark-theme .bg-warning {
    background: #f97316 !important;
}
.dark-theme .bg-danger {
    background: #dc2626 !important;
}
.dark-theme .bg-info {
    background: #0891b2 !important;
}
.dark-theme .nav-tabs-none-bg .nav-item .nav-link .badge {
    background: #3a3e5c !important;
    color: rgba(234, 234, 255, 0.87) !important;
}
.dark-theme .nav-tabs-none-bg .nav-item .nav-link .badge {
    background: #3a3e5c !important;
    color: rgba(234, 234, 255, 0.87) !important;
}
.dark-theme .nav-tabs-none-bg .nav-item .nav-link.active .badge {
    background: #3c82f6 !important;
}
.dark-theme .nav-sidebar .nav-item a:hover, .dark-theme .nav-sidebar .nav-item.active a {
    background: #404041;
    color: inherit;
}
.dark-theme .dashboard-main-sidebar .nav-sidebar .nav-item:hover a {
    background: #404041;
}
.dark-theme .dashboard-main-sidebar .nav-sidebar .nav-item:hover a .nav-item-sidebar-icon, .dark-theme .dashboard-main-sidebar .nav-sidebar .nav-item.active a .nav-item-sidebar-icon {
    background-color: #4b4b4b;
}
.dark-theme .dashboard-main-sidebar .nav-sidebar .nav-item-sidebar-icon {
    background-color: #4b4b4b;
}
.dark-theme .nav-sidebar .nav-item a.active {
    background: #334155;
    color: white;
}
.dark-theme .nav-sidebar .nav-item ul li a.active, .dark-theme .nav-sidebar .nav-item ul li a:hover{
    background: transparent;
}
.dark-theme .nav-sidebar .nav-item ul li:before {
    border-color: rgba(234, 234, 255, 0.87);
}
.dark-theme .nav-sidebar .nav-item ul li.active:before {
    background-color: rgba(234, 234, 255, 0.87);
}
.dark-theme .dashboard-header {
    background-color: #252526;
    border-bottom: 1px solid #3f3f40;
}
.dark-theme .dropdown-menu {
    box-shadow: inset 0 1px 0 0 hsl(0deg 0% 100% / 10%);
    background: #252526 !important;
}
.dark-theme .dropdown-item:hover, .dark-theme .dropdown-item:focus {
    background-color: rgba(234, 234, 255, 0.05);
}
.dark-theme .dropdown-menu a {
    color: rgba(234, 234, 255, 0.87) !important;
}
.dark-theme .nav-tabs .nav-link {
    background: none !important;
    border: 0 !important;
}
.dark-theme .nav-tabs .nav-link.active .badge {
    background: #3c82f6 !important;
}
.dark-theme .tools-modal a:hover {
    background: #3a3b3d;
}
.dark-theme .popover {
    background: #1f293b;
    border-color: #2b3647;
    color: rgba(234, 234, 255, 0.87);
}
.dark-theme .popover-header {
    background: #1f293b;
    border-color: #2b3647;
}
.dark-theme .bs-popover-bottom > .popover-arrow::after, .dark-theme .bs-popover-auto[data-popper-placement^=bottom] > .popover-arrow::after {
    border-bottom-color: #1f293b;
}
.dark-theme .bs-popover-bottom .popover-header::before, .dark-theme .bs-popover-auto[data-popper-placement^=bottom] .popover-header::before {
    border-bottom-color: #1f293b;
}
.dark-theme .popover-body {
    color: rgba(234, 234, 255, 0.87);
}
.dark-theme .dropdown-menu-tools .search-wrapper {
    background: #30344e;
}
.cursor {
    background-color: #eaeaffde;
}
.dark-theme .toggle-switch {
    background: #3f4042;
}
.dark-theme .tool-card .toggle-switch {
    background: #0d172a;
}
.dark-theme .toggle-checkbox:checked + .toggle-switch {
    background: #3c82f6;
}
.dark-theme .shadow {
    box-shadow: inset 0 1px 0 0 hsl(0deg 0% 100% / 10%) !important;
}
.dark-theme .landing-card-columns .see-more-tools {
    background-image: linear-gradient(to top, #0f172a, rgb(15 23 42 / 0%));
}
.dark-theme .table>:not(caption)>*>* {

}
.dark-theme .table {
    color: inherit;
    border-color: transparent;
}
.dark-theme .table-striped>tbody>tr:nth-of-type(odd)>* {
    color: inherit;
    background-color: #334155;
}
.dark-theme .table-hover>tbody>tr:hover>* {
    background: #404041;
}
.dark-theme .variants-form-control {
    border: 0;
    box-shadow: inset 0 1px 0 0 hsl(0deg 0% 100% / 10%);
}
.dark-theme .form-select {
    border: 0 !important;
}
.dark-theme .info-box {
    border: 0;
    background-color: #252526;
}
.dark-theme .avatar-chain {
    border: 1px solid white;
}
.dark-theme .avatar-chain.lg {
    border: 2px solid #3f3f40;
}
.dark-theme .separator::before, .dark-theme .separator::after {
    border-bottom: 1px solid #3f3f40;
}